<?php
/**
 * Main Content Template
 *
 * Contains main looop
 *
 * @package      responsive_mobile
 * @license      license.txt
 * @copyright    2014 CyberChimps Inc
 * @since        0.0.1
 *
 * Please do not edit this file. This file is part of the responsive_mobile Framework and all modifications
 * should be made in a child theme.
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
responsive_mobile_entry_before(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php responsive_mobile_entry_top(); ?>

		<?php do_action( 'responsive_mobile_post_format_icon' ); ?>

		<?php get_template_part( 'template-parts/post-meta' ); ?>

		<div class="post-entry">
			<?php if ( is_search() ) : // Only display Excerpts for Search ?>
				<div class="entry-summary">
					<?php the_excerpt(); ?>
				</div><!-- .entry-summary -->
			<?php else : ?>
				<div class="entry-content">
					<?php
					// Added filter to get featured_image option working.
					$featured_image = apply_filters( 'responsive_mobile_featured_image', '1' );

					if ( has_post_thumbnail() && $featured_image ) : ?>
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
							<?php the_post_thumbnail(); ?>
						</a>
					<?php endif; ?>

					<?php
						// Adding filter to get excpert toggle option working.
						$excerpt_toggle = apply_filters( 'responsive_mobile_post_excerpt', 0 );

						// Check if excpert toggle is on then call the excerpt, otherwise the full content.
						if( $excerpt_toggle ) {
							the_excerpt();
						} else{
							the_content( responsive_mobile_read_more() );
						}

						wp_link_pages( array(
							'before' => '<div class="pagination">' . __( 'Pages:', 'responsive-mobile' ),
							'after'  => '</div>',
						) );
					?>
				</div><!-- .entry-content -->
			<?php endif; ?>
		</div><!-- .post-entry -->

		<?php get_template_part( 'template-parts/post-data' ); ?>

		<?php responsive_mobile_entry_bottom(); ?>
	</article><!-- #post-## -->
<?php responsive_mobile_entry_after(); ?>
